com.r3corda.contracts.asset / Obligation / Commands / SetLifecycle

# SetLifecycle

`data class SetLifecycle<P> : Commands, IssuanceCommands<P>`

A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.

### Constructors

<init> | `SetLifecycle(aggregateState: IssuanceDefinition<P>, lifecycle: Lifecycle)` A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.

### Properties

aggregateState | `val aggregateState: IssuanceDefinition<P>`
inverse | `val inverse: Lifecycle`
lifecycle | `val lifecycle: Lifecycle`